<div class="row" *ngIf="!loading">
  <div class="col-sm-12 col-md-4">
    <ul class="list-group">
      <li 
      class="list-group-item list-group-item-action"
      *ngFor="let _group of groups"
      (click)="selectGroup(_group)"
      [class.active]="group===_group"
      >
      {{_group.name}}
      </li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-8">
    <div *ngIf="group">
        <div class="form-row">
            <div class="form-group col-sm-12 col-md-4">
                <select [(ngModel)]="dateModel.year" id="year" class="form-control">
                  <option *ngFor="let year of yearsList" [value]="year">{{year}}</option>
                </select>
              </div>
              <div class="form-group col-sm-12 col-md-4">
                <select [(ngModel)]="dateModel.month" id="month" class="form-control">
                  <option *ngFor="let month of monthsList; let i = index" [value]="i+1">{{month}}</option>
                </select>
              </div>
              <div class="form-group col-sm-12 col-md-4">
                <label></label>
                <button type="button" class="btn btn-primary" (click)="selectDate()">Выбрать дату</button>
              </div>
          </div>
      <hr />
      <h2>{{group.name}}</h2>
      <ul class="list-group" *ngIf="students">
        <li *ngFor="let student of students" class="list-group-item list-group-item-action flex-column align-items-start">
          <div class="d-flex w-100 justify-content-between">
            <h5 class="mb-1">{{student.name}}</h5>
          </div>
          <p *ngFor="let payment of student.payments">
            {{payment.date|date:'dd-MM-yyyy'}} <b>{{payment.sum}} тг</b> за {{payment.paid_from}} - {{payment.paid_to}}
          </p>
        </li>
      </ul>
    </div>
  </div>
</div>